.campaign-promo {
    position: relative;
    isolation: isolate;
    padding: 20px 0 200px 0;
    background-color: #111;
}

.campaign-promo:after {
    content: "";
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.3;
}
.campaign-promo__bg-image {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    transition-duration: 300ms;
    transition-delay: 1000ms;
}
.campaign-promo.is-playing .campaign-promo__bg-image {
    opacity: 0;
    pointer-events: none;
}

.campaign-promo__video-wrap {
    position: absolute;
    inset: 0;
    overflow: hidden;
    z-index: -2;
}

.campaign-promo__video {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: -3;

    aspect-ratio: 16/9;
    transform: translate(-50%, -50%);

    width: 101%;
    height: 101%;
}

.campaign-promo__content {
    position: relative;
    z-index: 1;
    padding: 30px 24px;
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(20px);

    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: flex-start;
}
.campaign-promo__title {
    font-family: Plantin;
    font-size: 30px;
    letter-spacing: -1.2px;
    line-height: 1.2;
    text-transform: none;
    color: #fff;
}
.campaign-promo__description {
    font-size: 16px;
    letter-spacing: -0.64px;
    line-height: 1.5;
    color: #fff;
}

@media (min-width: 991px) {
    .campaign-promo {
        padding: 100px 0;
    }

    .campaign-promo__content {
        padding: 60px;
        margin-left: auto;
        max-width: 620px;
    }

    .campaign-promo__title {
        font-size: 55px;
        letter-spacing: -0.55px;
        line-height: 1;
    }
}
